%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}

Name: mingw32-libosinfo
Version: 0.0.2
Release: 1%{?dist}%{?extra_release}
Summary: MinGW Windows port of a library for managing OS information for virtualization
License: LGPLv2+
Group: Development/Libraries
Source: https://fedorahosted.org/releases/l/i/libosinfo/libosinfo-%{version}.tar.gz
URL: https://fedorahosted.org/libosinfo/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: mingw32-filesystem >= 40
BuildRequires: mingw32-gcc
BuildRequires: mingw32-binutils

BuildRequires: mingw32-glib2
BuildRequires: mingw32-libxml2
BuildRequires: pkgconfig

Requires: pkgconfig

%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%prep
%setup -q -n libosinfo-%{version}

%build
%{_mingw32_configure} --enable-introspection=no --enable-tests=no
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove static libraries but DON'T remove *.dll.a files.
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/libosinfo-1.0.a
# Kill gtk-doc stuff that just duplicates content from
# the native package
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc
#find_lang libosinfo

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%{_mingw32_bindir}/osinfo-pciids-convert
%{_mingw32_bindir}/osinfo-usbids-convert
%{_mingw32_bindir}/osinfo-detect.exe
%{_mingw32_bindir}/libosinfo-1.0-0.dll
%{_mingw32_libdir}/libosinfo-1.0.dll.a
%{_mingw32_libdir}/libosinfo-1.0.la
%{_mingw32_libdir}/pkgconfig/libosinfo-1.0.pc
%dir %{_mingw32_includedir}/libosinfo-1.0/
%dir %{_mingw32_includedir}/libosinfo-1.0/osinfo
%{_mingw32_includedir}/libosinfo-1.0/osinfo/*.h
%{_mingw32_datadir}/libosinfo/data/usb.ids
%{_mingw32_datadir}/libosinfo/data/pci.ids
%{_mingw32_datadir}/libosinfo/data/devices
%{_mingw32_datadir}/libosinfo/data/oses
%{_mingw32_datadir}/libosinfo/data/hypervisors


%changelog
* Thu Nov 24 2011 Daniel P. Berrange <berrange@redhat.com> - 0.0.2
- Initial package


